package com.steering.pss.plnsaleord.stove.entity;
/**
 * 数据库表PLN_ZY_DZ_C所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF   date 2017-11-09
 */
@SuppressWarnings("serial")
public class PlnZyDzCEntity implements java.io.Serializable {
    /**
     * 锻造炉计划ID
     */
    private String heatPlanNo = "";
    /**
     * 上料行ID(炉计划ID+2位流水)
     */
    private String heatPlanSqe = "";
    /**
     * 判定单号
     */
    private String jugdeApplyCode = "";
    /**
     * 生产批号
     */
    private String zyBatchId = "";
    /**
     * 冶炼炉号(电炉号)
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 锻造订单编号
     */
    private String proPlanId = "";
    /**
     * 锻造工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 产线描述
     */
    private String plineName = "";
    /**
     * 管坯直径
     */
    private String diameter = "";
    /**
     * 单倍坯长（mm）
     */
    private String lenGpSingle = "";
    /**
     * 单倍坯重
     */
    private String wtGpSingle = "";
    /**
     * 倍尺数
     */
    private String cutNumGp = "";
    /**
     * 倍尺长度（mm）
     */
    private String lengthM = "";
    /**
     * 倍尺单重
     */
    private String weightM = "";
    /**
     * 排产支
     */
    private String planIndoubleNum = "";
    /**
     * 排产吨
     */
    private String planIndoubleWt = "";
    /**
     * 实际上料支
     */
    private String realIndoubleNum = "";
    /**
     * 实际上料吨
     */
    private String realIndoubleWt = "";
    /**
     * 标示炉号(打印炉号)
     */
    private String flagStoveNo = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";

    /**
     * 锻造炉计划ID
     * @return value
     */
    public String getHeatPlanNo() {
        return heatPlanNo;
    }

    /**
     * 锻造炉计划ID
     * @param heatPlanNo value
     */
    public void setHeatPlanNo(String heatPlanNo) {
        this.heatPlanNo = heatPlanNo;
    }

    /**
     * 上料行ID(炉计划ID+2位流水)
     * @return value
     */
    public String getHeatPlanSqe() {
        return heatPlanSqe;
    }

    /**
     * 上料行ID(炉计划ID+2位流水)
     * @param heatPlanSqe value
     */
    public void setHeatPlanSqe(String heatPlanSqe) {
        this.heatPlanSqe = heatPlanSqe;
    }

    /**
     * 判定单号
     * @return value
     */
    public String getJugdeApplyCode() {
        return jugdeApplyCode;
    }

    /**
     * 判定单号
     * @param jugdeApplyCode value
     */
    public void setJugdeApplyCode(String jugdeApplyCode) {
        this.jugdeApplyCode = jugdeApplyCode;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getZyBatchId() {
        return zyBatchId;
    }

    /**
     * 生产批号
     * @param zyBatchId value
     */
    public void setZyBatchId(String zyBatchId) {
        this.zyBatchId = zyBatchId;
    }

    /**
     * 冶炼炉号(电炉号)
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 冶炼炉号(电炉号)
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 锻造订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 锻造订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 锻造工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 锻造工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 管坯直径
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 管坯直径
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 单倍坯长（mm）
     * @return value
     */
    public String getLenGpSingle() {
        return lenGpSingle;
    }

    /**
     * 单倍坯长（mm）
     * @param lenGpSingle value
     */
    public void setLenGpSingle(String lenGpSingle) {
        this.lenGpSingle = lenGpSingle;
    }

    /**
     * 单倍坯重
     * @return value
     */
    public String getWtGpSingle() {
        return wtGpSingle;
    }

    /**
     * 单倍坯重
     * @param wtGpSingle value
     */
    public void setWtGpSingle(String wtGpSingle) {
        this.wtGpSingle = wtGpSingle;
    }

    /**
     * 倍尺数
     * @return value
     */
    public String getCutNumGp() {
        return cutNumGp;
    }

    /**
     * 倍尺数
     * @param cutNumGp value
     */
    public void setCutNumGp(String cutNumGp) {
        this.cutNumGp = cutNumGp;
    }

    /**
     * 倍尺长度（mm）
     * @return value
     */
    public String getLengthM() {
        return lengthM;
    }

    /**
     * 倍尺长度（mm）
     * @param lengthM value
     */
    public void setLengthM(String lengthM) {
        this.lengthM = lengthM;
    }

    /**
     * 倍尺单重
     * @return value
     */
    public String getWeightM() {
        return weightM;
    }

    /**
     * 倍尺单重
     * @param weightM value
     */
    public void setWeightM(String weightM) {
        this.weightM = weightM;
    }

    /**
     * 排产支
     * @return value
     */
    public String getPlanIndoubleNum() {
        return planIndoubleNum;
    }

    /**
     * 排产支
     * @param planIndoubleNum value
     */
    public void setPlanIndoubleNum(String planIndoubleNum) {
        this.planIndoubleNum = planIndoubleNum;
    }

    /**
     * 排产吨
     * @return value
     */
    public String getPlanIndoubleWt() {
        return planIndoubleWt;
    }

    /**
     * 排产吨
     * @param planIndoubleWt value
     */
    public void setPlanIndoubleWt(String planIndoubleWt) {
        this.planIndoubleWt = planIndoubleWt;
    }

    /**
     * 实际上料支
     * @return value
     */
    public String getRealIndoubleNum() {
        return realIndoubleNum;
    }

    /**
     * 实际上料支
     * @param realIndoubleNum value
     */
    public void setRealIndoubleNum(String realIndoubleNum) {
        this.realIndoubleNum = realIndoubleNum;
    }

    /**
     * 实际上料吨
     * @return value
     */
    public String getRealIndoubleWt() {
        return realIndoubleWt;
    }

    /**
     * 实际上料吨
     * @param realIndoubleWt value
     */
    public void setRealIndoubleWt(String realIndoubleWt) {
        this.realIndoubleWt = realIndoubleWt;
    }

    /**
     * 标示炉号(打印炉号)
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号(打印炉号)
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}